Skip to main content
POST
/
api
/
agent
/
tools
/
internal-links
Plan internal links from page + targets
curl --request POST \
  --url https://www.citedy.com/api/agent/tools/internal-links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "targetUrls": [],
  "sitemapUrl": "<string>"
}
'
{
  "success": true,
  "tool": "meta-tags",
  "data": {},
  "credits_charged": 1
}

Authorizations

Authorization
string
header
required

Bearer citedy_agent_* key

Body

application/json
url
string<uri>
required

Source page URL to analyze.

Maximum string length: 2000
targetUrls
string<uri>[]

Known target URLs for internal link opportunity analysis.

Maximum array length: 50
sitemapUrl
string<uri>

Optional sitemap URL used when targetUrls are not provided.

Maximum string length: 2000

Response

Success

success
boolean
required
Example:

true

tool
string
required
Example:

"meta-tags"

data
object
required

Tool-specific diagnostics payload.

credits_charged
integer
required
Required range: x >= 0
Example:

1